Debian Bug report logs - #705161
ITP: ruby-rpatricia -- radix tree implementation for IPv4 and IPv6 prefix storage for Ruby

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Apollon Oikonomopoulos <apoikos@gmail.com>

Date: Wed, 10 Apr 2013 18:12:02 UTC

Owned by: Apollon Oikonomopoulos <apoikos@gmail.com>

Severity: wishlist

Fixed in version ruby-rpatricia/1.0.1-1

Done: Apollon Oikonomopoulos <apoikos@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#705161; Package wnpp. (Wed, 10 Apr 2013 18:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Apollon Oikonomopoulos <apoikos@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 10 Apr 2013 18:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Apollon Oikonomopoulos <apoikos@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-rpatricia -- radix tree implementation for IPv4 and IPv6 prefix storage for Ruby
Date: Wed, 10 Apr 2013 21:09:52 +0300
Package: wnpp
Severity: wishlist
Owner: Apollon Oikonomopoulos <apoikos@gmail.com>

* Package name    : ruby-rpatricia
  Version         : 1.0
  Upstream Author : Tatsuya Mori
* URL             : http://www.goto.info.waseda.ac.jp/~tatsuya/rpatricia/
* License         : BSD
  Programming Lang: Ruby
  Description     : radix tree implementation for IPv4 and IPv6 prefix storage for Ruby

ruby-rpatricia borrows from Perl's Net::Patricia module, a module for efficient
IPv6 address/prefix lookups. ruby-rpatricia uses radix trees (a.k.a. Patricia
trees), a data structure most commonly used for routing table lookups. It
efficiently stores network prefixes of varying lengths and allows fast lookups
of containing networks.



Reply sent to Apollon Oikonomopoulos <apoikos@debian.org>:
You have taken responsibility. (Thu, 30 Jan 2014 13:03:12 GMT) Full text and rfc822 format available.

Notification sent to Apollon Oikonomopoulos <apoikos@gmail.com>:
Bug acknowledged by developer. (Thu, 30 Jan 2014 13:03:12 GMT) Full text and rfc822 format available.

Message #10 received at 705161-close@bugs.debian.org (full text, mbox):

From: Apollon Oikonomopoulos <apoikos@debian.org>
To: 705161-close@bugs.debian.org
Subject: Bug#705161: fixed in ruby-rpatricia 1.0.1-1
Date: Thu, 30 Jan 2014 13:00:07 +0000
Source: ruby-rpatricia
Source-Version: 1.0.1-1

We believe that the bug you reported is fixed in the latest version of
ruby-rpatricia, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705161@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Apollon Oikonomopoulos <apoikos@debian.org> (supplier of updated ruby-rpatricia package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Jan 2014 13:54:54 +0200
Source: ruby-rpatricia
Binary: ruby-rpatricia
Architecture: source amd64
Version: 1.0.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Apollon Oikonomopoulos <apoikos@debian.org>
Description: 
 ruby-rpatricia - efficient IPv4/IPv6 prefix storage and lookup for Ruby
Closes: 705161
Changes: 
 ruby-rpatricia (1.0.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #705161)
Checksums-Sha1: 
 7a45ed35e81332d0390e54eef01f402ae0677b85 2063 ruby-rpatricia_1.0.1-1.dsc
 6f84fa127fb2b77b11a93f73d43e1ef9d62e5903 24415 ruby-rpatricia_1.0.1.orig.tar.gz
 bbb35a1b11f297a40495f4945194d840ee8e3451 3102 ruby-rpatricia_1.0.1-1.debian.tar.gz
 4c4d81dbebb059b9afd3aa3e880043951d8bef4a 16024 ruby-rpatricia_1.0.1-1_amd64.deb
Checksums-Sha256: 
 9928a14acf17d1a1b0db78b5a2e31af6fe6c564b2153c8a47fbb140c3113716c 2063 ruby-rpatricia_1.0.1-1.dsc
 d480ece3e7a8be597a8fff7a23ecd22f70986db3dcd130742fe648b17502597c 24415 ruby-rpatricia_1.0.1.orig.tar.gz
 ddfbefd26701bbb85f4d60d925f25e48fe1dda62dddaffff34aac79324f4d044 3102 ruby-rpatricia_1.0.1-1.debian.tar.gz
 ef82e69bf6fa1719f5b822684514c6315592d118378cf1e14b4f626b2208fbfc 16024 ruby-rpatricia_1.0.1-1_amd64.deb
Files: 
 e7bcb8c85ff35e90eba2bea8a61ddf22 2063 ruby optional ruby-rpatricia_1.0.1-1.dsc
 54f0aab473b3429aa061e1e4d4a2c7a1 24415 ruby optional ruby-rpatricia_1.0.1.orig.tar.gz
 c651183d8b15a70e1d19f36429ebbd60 3102 ruby optional ruby-rpatricia_1.0.1-1.debian.tar.gz
 aaaf4dfb6705bba8bab2ad83664d53aa 16024 ruby optional ruby-rpatricia_1.0.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBAgAGBQJS6PlhAAoJEHLTQsHpUUMGHiEP/i7RkE7cI0nneZCQOBk7FOUV
sFzM9+jCq2pAL8Ft8LorzzLtMaqEqaA5IiF7voFgQCA2RrU7hFB0k82OWJsJnJny
aXXBbTE/187mE5dfQL2PFNHHb2XFkdP9udU1GN7FCEblEozSQGG2Ict1kgDjgjbP
LoT2LTccRoKgBiY8cHfPlR5vxEqdNfZU8Qj59ci/ogbgT0Pmt8TSQlplA7P6fL72
+P2qfvT36zx9TphiaEmijj+/ACzyOcqzzckFrlXWDngxtzYUXRWShosDfN5H9sqb
phEk/ATVmU4AKmujJxwc2t/FIvr+MCvrTVdb/aosJWjJU8Ui9yig1w3UMTYOA8GY
HAFknIG4U7fwq0v1d0ZPg035CbNmFw5tR/fUa5LSJtjfxUrWxKiOgTlv2iLxYicT
NVK53T7gfLE6sPuhxlUgiHcrZY7E5hbijmV4NxK3fYyr8vC0DjQVy7FDqkBALdbr
38+w+/fXnhYjEJLY7ZaOnqKsgn8CHaavSmbFUw18YXGfkRj1pPIYvdo4w7O257u2
ZuGApTmkyPZWZJsHt3+T/XVt/wAQ0XyOSrG9qCu7Mn9nR2rv07VSiHq8bqnFhBXA
XNIotVcECUqzlMKu/oo8RqF6XIAl12Vet+JJlIXMfz4XR2chxEw0PYoRM2rTLd83
ijfOib8IzxHXpNNq4/sU
=IzfF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Feb 2014 07:32:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 18:54:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.